<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" />
	<!-- main template begins -->
	<xsl:template match="/">
		<HEAD>
			<LINK REL="StyleSheet" TYPE="text/css" HREF="elib.css"></LINK>
			<TITLE>eLibPro 书籍信息</TITLE>
		</HEAD>
		<BODY leftmargin="0" rightmargin="0" topmargin="0" bottommargin="0">
			<xsl:apply-templates />
		</BODY>
	</xsl:template>
	<!-- template for individual book begins -->
	<xsl:template match="Book">
		<table border="0" cellspacing="0" cellpadding="0" width="100%" class="maintable">
			<tr>
				<td>
					<!-- book title, first table in the main table -->
					<table border="0" cellspacing="1" cellpadding="0" width="100%">
						<tr>
							<td class="maintitle">
								<xsl:value-of select="Title" />
								<xsl:if test="Subtitle!=''">
									<xsl:text> - </xsl:text>
									<xsl:value-of select="Subtitle" />
								</xsl:if>
								<xsl:text></xsl:text>
								<xsl:if test="ReleaseDate!=''">(<xsl:value-of select="ReleaseDate" />)
								</xsl:if>
							</td>
						</tr>
					</table>
					<!-- front cover, book details and back cover, second table in the main table -->
					<table border="0" cellspacing="1" cellpadding="0" width="100%">
						<tr>
							<xsl:if test="FrontCover!=''">
								<td class="subtitle" height="17">封面</td>
							</xsl:if>
							<td class="subtitle" height="17">书籍信息</td>
							<xsl:if test="BackCover!=''">
								<td class="subtitle" height="17">封底</td>
							</xsl:if>
						</tr>
						<tr valign="top">
							<xsl:if test="FrontCover!=''">
								<td width="1" class="detailsbg">
									<a elibhref="elibcover://{FrontCover}">
										<img elibsrc="{FrontCover}" border="0" height="200" />
									</a>
								</td>
							</xsl:if>
							<td class="detailsbg">
								<table width="100%" border="0" cellspacing="1" cellpadding="0">
									<!-- author -->
									<xsl:if test="Author!=''">
										<tr valign="top">
											<td class="celllabel" width="10%" nowrap="1">作者</td>
											<td class="cellvalue">
												<xsl:value-of select="Author" />
											</td>
										</tr>
									</xsl:if>
									<!-- publisher -->
									<xsl:if test="Publisher!=''">
										<tr valign="top">
											<td class="celllabel" width="10%" nowrap="1">出版社</td>
											<td class="cellvalue">
												<xsl:value-of select="Publisher" />
											</td>
										</tr>
									</xsl:if>
									<xsl:if test="ISBN!=''">
										<tr valign="top">
											<td class="celllabel" width="10%" nowrap="1">ISBN</td>
											<td class="cellvalue">
												<xsl:value-of select="ISBN" />
											</td>
										</tr>
									</xsl:if>
									<xsl:if test="Edition!=''">
										<tr valign="top">
											<td class="celllabel" width="10%" nowrap="1">版本</td>
											<td class="cellvalue">
												<xsl:apply-templates select="Edition" />
											</td>
										</tr>
									</xsl:if>
									<!-- release date -->
									<xsl:if test="ReleaseDate!=''">
										<tr valign="top" width="10%" nowrap="1">
											<td class="celllabel" width="10%" nowrap="1">发布日期</td>
											<td class="cellvalue">
												<xsl:value-of select="ReleaseDate" />
											</td>
										</tr>
									</xsl:if>
									<xsl:if test="ListPrice!=''">
										<tr valign="top">
											<td class="celllabel" width="10%" nowrap="1">定价</td>
											<td class="cellvalue">
												<xsl:value-of select="ListPrice" />
											</td>
										</tr>
									</xsl:if>
									<xsl:if test="PageCount!=''">
										<tr valign="top">
											<td class="celllabel" width="10%" nowrap="1">页数</td>
											<td class="cellvalue">
												<xsl:value-of select="PageCount" />
											</td>
										</tr>
									</xsl:if>
									<xsl:if test="URL!=''">
										<tr valign="top">
											<td class="celllabel" width="10%" nowrap="1">URL</td>
											<td class="cellvalue">
												<a title="{URL}" href="{URL}" class="link">该书Web页面</a>
											</td>
										</tr>
									</xsl:if>
									<xsl:if test="AmazonRating!=''">
										<tr valign="top">
											<td class="celllabel" width="10%" nowrap="1">Amazon用户评价</td>
											<td class="cellvalue">
												<xsl:value-of select="AmazonRating" /> <xsl:text> / 5</xsl:text>
											</td>
										</tr>
									</xsl:if>
									<xsl:if test="Status!=''">
										<tr valign="top">
											<td class="celllabel" width="10%" nowrap="1">状态</td>
											<td class="cellvalue">
												<xsl:value-of select="Status" />
											</td>
										</tr>
									</xsl:if>
								</table>
							</td>
							<!-- end of book details -->
							<!-- back cover -->
							<xsl:if test="BackCover!=''">
								<td align="right" width="1" class="detailsbg">
									<a elibhref="elibcover://{BackCover}">
										<img elibsrc="{BackCover}" border="0" height="200" />
									</a>
								</td>
							</xsl:if>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>
